Loading...
Searching...
No Matches
Opm::LevelCartesianIndexMapper< Dune::ALUGrid< 3, 3, Dune::cube, Dune::nonconforming > > Class Reference

## Public Member Functions

| LevelCartesianIndexMapper (const Dune::CartesianIndexMapper< Grid > &cartesianIndexMapper)
const std::array< int, 3 > & | cartesianDimensions (int level) const
int | cartesianSize (int level) const
int | compressedSize (int level) const
int | cartesianIndex (const int compressedElementIndex, const int level) const
void | cartesianCoordinate (const int compressedElementIndex, std::array< int, dimension > &coords, int level) const

## Static Public Attributes

static constexpr int | dimension = 3

The documentation for this class was generated from the following file:

- opm/simulators/flow/AluGridLevelCartesianIndexMapper.hpp